import { Query } from "./w3";
import { Client, Plugin, PluginFactory, PluginPackageManifest } from "@web3api/core-js";
export interface GraphNodeConfig {
    provider: string;
}
export declare class GraphNodePlugin extends Plugin {
    private _config;
    constructor(_config: GraphNodeConfig);
    static manifest(): PluginPackageManifest;
    getModules(client: Client): {
        query: Query.Module;
    };
    query(author: string, name: string, query: string, client: Client): Promise<string>;
}
export declare const graphNodePlugin: PluginFactory<GraphNodeConfig>;
export declare const plugin: PluginFactory<GraphNodeConfig>;
